import request from '@/utils/request'

// 租户总后台 -> fs-admin-saas /company/companyVoiceBlacklistIntercept
export function listApi(query) {
  return request({
    url: '/company/companyVoiceBlacklistIntercept/list',
    method: 'get',
    params: query
  })
}

export function getApi(id) {
  return request({
    url: '/company/companyVoiceBlacklistIntercept/' + id,
    method: 'get'
  })
}

export function exportApi(data) {
  return request({
    url: '/company/companyVoiceBlacklistIntercept/export',
    method: 'post',
    data: data
  })
}

export function queryPhoneApi(id) {
  return request({
    url: '/company/companyVoiceBlacklistIntercept/queryPhone/' + id,
    method: 'get'
  })
}
